Query Item Custom Field Values
curl --request GET \
--url https://api.jtl-cloud.com/erp/items/{itemId}/customfields \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/items/{itemId}/customfields"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/items/{itemId}/customfields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"CustomFieldId": 123,
"Value": {}
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}item
Query Item Custom Field Values
deprecated
Query all custom field values for a specific item
GET
/
items
/
{itemId}
/
customfields
Query Item Custom Field Values
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the item that the custom field belongs to.
Was this page helpful?
⌘I